package it.unipr.mobdev.youtube;

public class VideoDescriptor {

	private String id = null;
	private String title = null;
	private String thumbnail = null;
	private String playerUrl = null;
	
	public VideoDescriptor()
	{}
	
	public VideoDescriptor(String id, String title, String thumbnail,
			String playerUrl) {
		super();
		this.id = id;
		this.title = title;
		this.thumbnail = thumbnail;
		this.playerUrl = playerUrl;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getThumbnail() {
		return thumbnail;
	}

	public void setThumbnail(String thumbnail) {
		this.thumbnail = thumbnail;
	}

	public String getPlayerUrl() {
		return playerUrl;
	}

	public void setPlayerUrl(String playerUrl) {
		this.playerUrl = playerUrl;
	}
	
	@Override
	public String toString() {
		return this.title;
	}
 	
}
